Offers

List offers

Retrieve a paginated list of offers with powerful filtering options. Offers represent purchasable configurations of products, including pricing, currency, and subscription settings. A single product can have multiple offers for different pricing tiers or billing intervals. Results are sorted by creation date (newest first) by default.

Authorization

Public key
x-fngs-public-key<token>

In: header

Query Parameters

orderDirection?string

GET /v0/offers/list Parameter

Value in

  • "ASC"
  • "DESC"
skip?|

GET /v0/offers/list Parameter

Formatdouble
Range0 <= value <= 1.7976931348623157e+308
take?|

GET /v0/offers/list Parameter

Formatdouble
Range0 <= value <= 1.7976931348623157e+308
archived?|

GET /v0/offers/list Parameter

withArchived?|

GET /v0/offers/list Parameter

returnCount?|

GET /v0/offers/list Parameter

termOrId?string

GET /v0/offers/list Parameter

regions?array<>

GET /v0/offers/list Parameter

platforms?array<>

GET /v0/offers/list Parameter

minPrice?|

GET /v0/offers/list Parameter

Formatdouble
Range0 <= value <= 1.7976931348623157e+308
maxPrice?|

GET /v0/offers/list Parameter

Formatdouble
Range0 <= value <= 1.7976931348623157e+308
minAvailability?|

GET /v0/offers/list Parameter

Formatdouble
Range0 <= value <= 1.7976931348623157e+308
maxAvailability?|

GET /v0/offers/list Parameter

Formatdouble
Range0 <= value <= 1.7976931348623157e+308
recurringInterval?string

GET /v0/offers/list Parameter

Value in

  • "day"
  • "month"
  • "week"
  • "year"
recurringIntervalCount?|

GET /v0/offers/list Parameter

Formatdouble
Range0 <= value <= 1.7976931348623157e+308
product?|

GET /v0/offers/list Parameter

tags?array<string>

GET /v0/offers/list Parameter

orderBy?string

GET /v0/offers/list Parameter

Value in

  • "createdAt"
  • "name"
  • "price"

Response Body

application/json

application/json

GET
/v0/offers/list
curl -X GET "https://example.com/v0/offers/list"
{  "status": "success",  "data": {    "offers": [      {        "object": "offer",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "internalId": null,        "price": -1.7976931348623157e+308,        "originalPrice": null,        "recurringInterval": "day",        "recurringIntervalCount": null,        "trialInterval": "day",        "trialIntervalCount": null,        "currency": "AFN",        "limit": null,        "soldItems": 0,        "status": "DRAFT",        "name": null,        "description": null,        "region": "Global",        "platform": "Meta Quest",        "gtin": null,        "warningMessage": null      }    ],    "count": -1.7976931348623157e+308  }}